import type { ZitaldelClient } from './classes.zitadelclient.js';
import type { ZitadelProject } from './classes.zitadelproject.js';
import * as plugins from './plugins.js';

export interface IZitadelProjectRoleData {
  project: ZitadelProject;
  key: string;
  name: string;
}

export class ZitadelProjectRole {
  ziadelclientRef: ZitaldelClient;
  public data: IZitadelProjectRoleData;

  constructor(zitadelclientRefArg: ZitaldelClient, dataArg: IZitadelProjectRoleData) {
    this.ziadelclientRef = zitadelclientRefArg;
    this.data = dataArg;
  }
}